(function (dependencies, factory) {
    if (typeof module === 'object' && typeof module.exports === 'object') {
        var v = factory(require, exports); if (v !== undefined) module.exports = v;
    }
    else if (typeof define === 'function' && define.amd) {
        define(dependencies, factory);
    }
})(["require", "exports"], function (require, exports) {
    "use strict";
    /* Built-in method references for those with the same name as other `lodash` methods. */
    const nativeMin = Math.min;
    /**
     * The base implementation of methods like `_.intersection`, without support
     * for iteratee shorthands, that accepts an array of arrays to inspect.
     *
     * @private
     * @param {Array} arr The arrays to be inspected.
     * @param {Array} arrays The arrays to inspect.
     * @returns {Array} Returns the new array of shared values.
     * @example
     *
     * _.intersection([2, 1], [2, 3]);
     * // => [2]
     */
    function intersection(arr, ...arrays) {
        const result = [];
        const seen = new Set(arr);
        seen.forEach((it) => {
            if (arrays.every((array) => {
                return array.indexOf(it) != -1;
            })) {
                result.push(it);
            }
        });
        return result;
    }
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.default = intersection;
});